 
/*
 *  Copyright (C) 1992-1993 Jeffrey Chilton
 *
 *  Permission is granted to anyone to make or distribute copies of
 *  this program, in any medium, provided that the copyright notice
 *  and permission notice are preserved, and that the distributor
 *  grants the recipient permission for further redistribution as
 *  permitted by this notice.
 *  
 *  Author's E-mail address:  172-9221@mcimail.com
 *  
 */

/* static char *whatstring = "@(#)quiz.h	2.2 JWC"; */

#ifndef QUIZ_H
#define QUIZ_H

/*
 *  Quiz - The instructions for building one style of question
 */

typedef struct Quiz Quiz;

#include "assoc.h"
#include "collect.h"
#include "exstr.h"

struct Quiz
{
    ExtendString *name;		/* printed introduction	*/
    Collection *symbols;	/* of associations	*/
    Collection *actions;	/* of QuizSteps		*/
    int class;
};

#if __STDC__

extern Quiz *Quiz_new();
extern Quiz *Quiz_newFromFile(FILE *stream);
extern void Quiz_display(Quiz *self);
extern int Quiz_perform(Quiz *self);
extern void Quiz_destroy(Quiz *self);

#else

extern Quiz *Quiz_new();
extern Quiz *Quiz_newFromFile();
extern void Quiz_display();
extern int Quiz_perform();
extern void Quiz_destroy();

#endif

#define Quiz_getName(s) ((s)->name)
#define Quiz_getClass(s) ((s)->class)
#define Quiz_setClass(s, c) (s)->class = c

#endif

